/*
 * Class SET [INTEGER_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_2130 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_2130 [] = {0xFF01,1551,2129,869,0xFFFF};
static const EIF_TYPE_INDEX egt_2_2130 [] = {0xFF01,2129,869,0xFFFF};
static const EIF_TYPE_INDEX egt_3_2130 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_2130 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_2130 [] = {0xFF01,2129,869,0xFFFF};
static const EIF_TYPE_INDEX egt_6_2130 [] = {0xFF01,2129,869,0xFFFF};
static const EIF_TYPE_INDEX egt_7_2130 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_2130 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_2130 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_2130 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_2130 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_2130 [] = {2129,869,0xFFFF};
static const EIF_TYPE_INDEX egt_13_2130 [] = {0xFF01,2129,869,0xFFFF};
static const EIF_TYPE_INDEX egt_14_2130 [] = {0xFF01,1655,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_2130 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_2130[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_2130), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_2130), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_2130), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_2130), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_2130), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_2130), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_2130), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_2130), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_2130), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_2130), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_2130), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_2130), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_2130), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_2130), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8608, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8609, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9054, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8611, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8612, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_2130), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_2130), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9015, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9016, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9017, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
};
void Init2130(void)
{
	IDSC(desc_2130, 0, 2129);
	IDSC(desc_2130 + 1, 1, 2129);
	IDSC(desc_2130 + 32, 1134, 2129);
	IDSC(desc_2130 + 41, 1135, 2129);
	IDSC(desc_2130 + 50, 1317, 2129);
}


#ifdef __cplusplus
}
#endif
